Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector
Class RepositorySourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.graph.connector.RepositorySourceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LockFailedException, UuidAlreadyExistsException

    @Immutable
    public class RepositorySourceException

extends RuntimeException

A runtime exception signalling an error within a `RepositorySource`.

See Also:
  Serialized Form

Constructor Summary
`RepositorySourceException(String sourceName)`
`RepositorySourceException(String sourceName, String message)`
`RepositorySourceException(String sourceName, String message, Throwable cause)`
`RepositorySourceException(String sourceName, Throwable cause)`

Method Summary
`String` | `getSourceName()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositorySourceException

    public RepositorySourceException(String sourceName)

Parameters:
  `sourceName` - the identifier of the source from which this exception eminates

### RepositorySourceException

    public RepositorySourceException(String sourceName,
                                     String message)

Parameters:
  `sourceName` - the identifier of the source from which this exception eminates
  `message` -

### RepositorySourceException

    public RepositorySourceException(String sourceName,
                                     Throwable cause)

Parameters:
  `sourceName` - the identifier of the source from which this exception eminates
  `cause` -

### RepositorySourceException

    public RepositorySourceException(String sourceName,
                                     String message,
                                     Throwable cause)

Parameters:
  `sourceName` - the identifier of the source from which this exception eminates
  `message` -
  `cause` -

Method Detail

### getSourceName

    public String getSourceName()

  Returns:
    sourceName

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.